Subject: RE: implementations

From: Tuexen Michael <[email-masked]>
Date: Wed, 16 Oct 2002 13:07:47 +0200

I think the guy from Sun was
[email-masked]
You may want to contact him before including him in the list.

Best regards
Michael

Michael Tuexen   Tel.:   +49 89 722 47210
Siemens AG       Fax:    +49 89 722 48212
ICN WN CC SE 7   e-mail: [email-masked]

> -----Original Message-----
> From: Randall Stewart (cisco) [mailto:[email-masked]]
> Sent: Wednesday, October 16, 2002 12:58 PM
> To: Armando L. Caro Jr.
> Cc: [email-masked]
> Subject: Re: implementations
> 
> 
> Armando L. Caro Jr. wrote:
> 
> >Hi,
> >
> >I am compiling a list of SCTP implementations, including tools and
> >apps. I want to include the project name, author(s), affiliation(s),
> >kernel/userland/simulation/app, OS, license, url. (I wasn't 
> sure if both author
> >and affiliation were always appropriate.) Below is an 
> incomplete list I
> >have so far. Please inform me (via private email) of any corrections
> >or projects which are not listed. Also, if there is any other
> >information that you think would be useful to have in such a list,
> >please let me know. Thank you.
> >
> >Project: KAME Stack
> >Author(s): R. Stewart, ??
> >Affiliation(s): Cisco Systems
> >Type: kernel
> >OS: FreeBSD, NetBSD, OpenBSD
> >License: BSD
> >URL: www.sctp.org
> >  
> >
> Please add to your list a authors Peter Lei. Also it might be
> good to mention the Kame Project.
> 
> 
> >Project: Siemens SCTP
> >Author(s): T. Dreibholz, H. Holzlwimmer, A. Jungmaier, M. Tuxen
> >Affiliations(s): Seimens AG, University of Essen
> >Type: userland
> >OS: Linux, FreeBSD, Mac OS X
> >License: GPL
> >URL: www.sctp.de
> >
> >Project: Linux Kernel SCTP
> >Author(s): L. Yarroll, ??
> >Affiliation(s): Motorola, IBM, Intel, Nokia, Cisco
> >Type: kernel
> >OS: Linux
> >License: GPL
> >URL: sourceforge.net/projects/lksctp
> >
> >Project: Solaris Stack
> >Author(s): K. Poon, ??
> >Affiliation(s): Sun Microsystems Laboratories
> >Type: kernel
> >OS: Solaris
> >License: Proprietary
> >URL: playground.sun.com/sctp
> >  
> >
> Unfortunately the two folks responsible for the sun stack Jon 
> Woods and 
> Kacheong
> have left sun... Michael Tuexen, do you remember who was 
> given ownership
> of this stack at connect-a-thon? I can't remember....
> 
> >Project: OpenSS7 Stack
> >Author(s): B. Bidulock, ??
> >Affiliation(s): Open{SS7} Corporation
> >Type: kernel
> >OS: Linux
> >License: GPL
> >URL: www.openss7.org
> >
> >Project: RivuS
> >Author(s): J. Rane, N. Kumbhar, K. Sovani
> >Affiliation(s): Pune Institute of Computer Technology (PICT)
> >Type: kernel
> >OS: FreeBSD
> >License: BSD
> >URL: rivus.sourceforge.net
> >
> >Project: AIX Stack
> >Author(s): ??
> >Affiliation(s): IBM
> >Type: kernel
> >OS: AIX
> >License: Proprietary
> >URL: ??
> >
> >Project: ??
> >Author(s): I. Arias-Rodriguez, ??
> >Affiliation(s): Nokia Research Center
> >Type: ??
> >OS: ??
> >License: ??
> >URL: ??
> >
> >Project: Playstation II
> >Author(s): R. Stewart, ??
> >Affiliation(s): Cisco Systems
> >Type: kernel
> >OS: ??
> >License: ??
> >URL: ??
> >  
> >
> Huh? I know some folks inside were
> playing with this but I don't know any
> status on it...you might want to remove it
> unless someone else confesses up....
> 
> >Project: Intellinet SCTP
> >Author(s): ??
> >Affiliation(s): IntelliNet Technologies, Inc.
> >Type: kernel?
> >OS: independent
> >License: Proprietary
> >URL: www.intellinet-tech.com/products/sigtran/sctp
> >
> >Project: Portable SCTP
> >Author(s): ??
> >Affiliation(s): Data Connection Ltd.
> >Type: kernel?
> >OS: Windows, VxWorks/VxWorks AE/Tornado, Solaris / SunOS, 
> pSOS, Chorus, LynxOS, OSE, Nucleus, UNIX, Linux, and others
> >License: Proprietary
> >URL: www.dataconnection.com/sctp
> >
> >Project: ns-2 SCTP module
> >Author(s): A. Caro, J. Iyengar
> >Affiliation(s): University of Delaware
> >Type: simulation
> >OS: FreeBSD, Linux, SunOS, Solaris, other UNIX, Windows
> >License: BSD
> >URL: pel.cis.udel.edu
> >
> >Project: OPNET SCTP model
> >Author(s): R. Brennan, T. Curran
> >Affiliation(s): Dublin City University
> >Type: simulation
> >OS: ??
> >License: ??
> >URL: ??
> >
> >Project: tcpdump SCTP module
> >Author(s): J. Heinz, J. Fiore, A. Caro
> >Affiliation(s): Temple University, U of Pennsylvania, U of Delaware
> >Type: application
> >OS: UNIX/Linux
> >License: BSD
> >URL: www.tcpdump.org
> >
> >Project: ethereal SCTP module
> >Author(s): M. Tuxen
> >Affiliation(s): Seimens AG
> >Type: application
> >OS: UNIX/Linux, Windows
> >License: GPL
> >URL: www.ethereal.com
> >
> >Project: Apache w/ SCTP support
> >Author(s): R. Stewart, P. Lei
> >Affiliation(s): Cisco Systems
> >Type: application
> >OS: FreeBSD, NetBSD, OpenBSD
> >License:
> >URL: www.sctp.org
> >  
> >
> Hopefully soon we will get these all in apache itself... I am working
> with them on it.. :>
> 
> There was also a stack for HP/Compac also Ericcson.. plus I think
> companies called
> radvision
> radsys
> spyder
> 
> all had stacks at the last bake-off... and there may have 
> been others...
> 
> R
> 
> 
> >Project: Mozilla w/ SCTP support
> >Author(s): R. Stewart, P. Lei
> >Affiliation(s): Cisco Systems
> >Type: application
> >OS: FreeBSD, NetBSD, OpenBSD
> >License:
> >URL: www.sctp.org
> >
> >Project: FTP (client & server) w/ SCTP support
> >Author(s): B. Atlani, S. Ladha
> >Affiliation(s): University of Delaware
> >Type: application
> >OS: FreeBsd, NetBSD, OpenBSD
> >License: BSD
> >URL: not avail yet
> >
> >Project: WebCam over SCTP
> >Author(s): P. Conrad, ??
> >Affiliation(s): Temple University
> >Type: application
> >OS: FreeBsd, NetBSD, OpenBSD
> >License: ??
> >URL: ??
> >
> >
> >~armando
> >
> >0--                                                --0
> >| Armando L. Caro Jr.     |       [email-masked] |
> >| University of Delaware  |  www.cis.udel.edu/~acaro |
> >0--                                                --0
> >
> >
> >
> >
> >  
> >
> 
> 
> -- 
> Randall R. Stewart
> ITD
> Cisco Systems Inc.
> [email-masked] 815-342-5222(cell) or 815-477-2127(office)
> 
> 
>